Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
CompoundFileReader.h File Reference
`#include "Directory.h"`
`#include "BufferedIndexInput.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::CompoundFileReader
| Class for accessing a compound stream. This class implements a directory, but is limited to only read operations. Directory methods that would normally modify data throw an exception. More...
struct | Lucene::CompoundFileReader::FileEntry
class | Lucene::CSIndexInput
| Implementation of an IndexInput that reads from a portion of the compound file. More...

## Namespaces

| Lucene

clucene.sourceforge.net